jQuery(document).ready(function($) {
    var invVal = $("#discount").attr("max");
    $(document).on("change", "#mode", function(e) {
        if ($(this).val() == 'percentage') {
            $("#discount").attr("max", 100);
        } else $("#discount").attr("max", invVal);
    })
})